PETSc version 3.15.5
Fix/Edit manual page

# PetscDTFactorialInt

Compute n! as an integer

### Input Arguments

| n | - a non-negative integer

### Output Arguments

| factorial | - n!

Note: this is limited to n such that n! can be represented by PetscInt, which is 12 if PetscInt is a signed 32-bit integer and 20 if PetscInt is a signed 64-bit integer.

### Level

beginner

### Location

src/dm/dt/../../../include/petscdt.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages